This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 131519 - Allow Satellite users to create their own accounts
Allow Satellite users to create their own accounts
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-01 16:44 EDT by Matt Domsch
Modified: 2008-10-29 10:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-29 10:23:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2004-09-01 16:44:38 EDT
Description of problem:
RHN Satellite, version 3.8, allows only the Satellite Administrator 
user to create additional normal user accounts.

I'd like for individual users to be able to create their own 
accounts.  The server is on a private network, so security of these 
satellite user accounts isn't a concern.

I did this by brute force, but would appreciate a config option to 
allow such.  Also note, html/newlogin/satellite_finished.pxt needs to 
not then say "you've created an administrator account".  Perhaps a 
second finished.pxt file?


--- Users.pm.~1~        Tue Jul  6 14:06:40 2004
+++ Users.pm    Wed Sep  1 15:36:05 2004
@@ -1557,9 +1557,9 @@
   my %params = @_;

   # satellite?  if so, allow creation IF no users exist, or IF it's 
the user creation page
-  if (PXT::Config->get('satellite') and RHN::User-
>satellite_has_users() and not $pxt->user) {
-    return "Please contact the administrator of this satellite to 
create an account.";
-  }
+#  if (PXT::Config->get('satellite') and RHN::User-
>satellite_has_users() and not $pxt->user) {
+#    return "Please contact the administrator of this satellite to 
create an account.";
+#  }

   my $block = $params{__block__};

@@ -1631,7 +1631,7 @@
       $user_params{-customer_type} = 'S';

       $user = RHN::User->create_new_user(%user_params);
-      RHN::User->add_users_to_groups([ $user->id ], [ $user->org-
>user_group_id('org_admin') ]);
+#      RHN::User->add_users_to_groups([ $user->id ], [ $user->org-
>user_group_id('org_admin') ]);
       $full_user = 1;
       $user->commit;
     }
Comment 1 Robin Norwood 2006-10-17 11:58:49 EDT
mass reassign to mmccune
Comment 2 Matt Domsch 2006-12-10 23:15:26 EST
In addition, if the satellite is using PAM authentication, that should be a
globally enabled item, and then should not ask for a password at account
creation time, as the password won't actually be used thereafter - the
PAM-checked password will be.

Note: RHN Satellite 5.0.0 beta still has this problem, >2 years after my initial
request.
Comment 3 Matt Domsch 2008-10-29 10:23:24 EDT
giving up on this request for now.  Maybe it'll reappear in spacewalk.

Note You need to log in before you can comment on or make changes to this bug.